import { GitHub } from "./GitHub";
import * as ApiClientImpl from "./ApiClientImpl";
import { createClient } from "./api";
import nodeFetch from "node-fetch";
export * from "./types";
export { GitHub };
export const create = (args) => {
    const baseUrl = args.baseUrl || "https://api.github.com";
    const _fetch = args.fetch || nodeFetch;
    const apiClientImpl = ApiClientImpl.create({
        accessToken: args.accessToken,
        fetch: _fetch,
    });
    const client = createClient(apiClientImpl, baseUrl);
    const github = new GitHub(client, args.owner, args.repo);
    return github;
};
export default create;
