import { GitHub } from "./GitHub";
import { type Client, Schemas } from "./api";
import { FetchFunction } from "./types";
export * from "./types";
export { Schemas, GitHub, type Client };
export interface InitializeParameter {
    owner: string;
    repo: string;
    /**
     * For GitHUB API Endpoint
     * Default: https://api.github.com
     */
    baseUrl?: string | "https://api.github.com";
    /** GitHub Access Token */
    accessToken?: string;
    /**
     * Default: node-fetch
     */
    fetch?: FetchFunction;
}
export declare const create: (args: InitializeParameter) => GitHub;
export default create;
